Index: branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/treeifc/ITaskInfo.java
===================================================================
--- branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/treeifc/ITaskInfo.java	(revision 1646)
+++ branches/autoquest-core-tasktrees-alignment/src/main/java/de/ugoe/cs/autoquest/tasktrees/treeifc/ITaskInfo.java	(revision 1733)
@@ -17,6 +17,7 @@
 /**
  * <p>
- * Provides extended information about a specific task, such as statistics about task occurrences,
- * etc. It contains measures for different metrics determined for a task.
+ * Provides extended information about a specific task, such as statistics about
+ * task occurrences, etc. It contains measures for different metrics determined
+ * for a task.
  * </p>
  * 
@@ -25,85 +26,88 @@
 public interface ITaskInfo {
 
-    /**
-     * <p>
-     * returns the task to which these infos belong
-     * </p>
-     * 
-     * @return as described
-     */
-    public ITask getTask();
+	/**
+	 * <p>
+	 * represents a measure for a specific metric
+	 * </p>
+	 * 
+	 * @author Patrick Harms
+	 */
+	public interface IMeasure {
 
-    /**
-     * <p>
-     * returns all available measures
-     * </p>
-     * 
-     * @return as described
-     */
-    public IMeasure[] getMeasures();
+		/**
+		 * <p>
+		 * returns the metric of the measure
+		 * </p>
+		 * 
+		 * @return as described
+		 */
+		public TaskMetric getMetric();
 
-    /**
-     * <p>
-     * returns the value of the measure identified through the given metric
-     * </p>
-     *
-     * @param metric the metric for which the value is to be returned
-     * 
-     * @return as described
-     */
-    public int getMeasureValue(TaskMetric metric);
+		/**
+		 * <p>
+		 * returns the value of the measure
+		 * </p>
+		 * 
+		 * @return as described
+		 */
+		public int getValue();
 
-    /**
-     * <p>
-     * returns the value of the measure identified through the given metric if the task is
-     * observed in the given context, i.e. parent task. The result is Integer.MIN_VALUE if there
-     * is no value for this measure in a context.
-     * </p>
-     *
-     * @param metric  the metric for which the value is to be returned
-     * @param context the context for which the measure value is to be returned
-     * 
-     * @return as described
-     */
-    public int getMeasureValue(TaskMetric metric, ITask context);
+		/**
+		 * <p>
+		 * returns the value of the measure if the task was observed in a
+		 * specific context, i.e. parent task
+		 * </p>
+		 * 
+		 * @return as described
+		 */
+		public int getValue(ITask context);
 
-    /**
-     * <p>
-     * represents a measure for a specific metric
-     * </p>
-     * 
-     * @author Patrick Harms
-     */
-    public interface IMeasure {
-        
-        /**
-         * <p>
-         * returns the metric of the measure
-         * </p>
-         * 
-         * @return as described
-         */
-        public TaskMetric getMetric();
-        
-        /**
-         * <p>
-         * returns the value of the measure
-         * </p>
-         * 
-         * @return as described
-         */
-        public int getValue();
-        
-        /**
-         * <p>
-         * returns the value of the measure if the task was observed in a specific context, i.e.
-         * parent task
-         * </p>
-         * 
-         * @return as described
-         */
-        public int getValue(ITask context);
-        
-    }
+	}
+
+	/**
+	 * <p>
+	 * returns all available measures
+	 * </p>
+	 * 
+	 * @return as described
+	 */
+	public IMeasure[] getMeasures();
+
+	/**
+	 * <p>
+	 * returns the value of the measure identified through the given metric
+	 * </p>
+	 *
+	 * @param metric
+	 *            the metric for which the value is to be returned
+	 * 
+	 * @return as described
+	 */
+	public int getMeasureValue(TaskMetric metric);
+
+	/**
+	 * <p>
+	 * returns the value of the measure identified through the given metric if
+	 * the task is observed in the given context, i.e. parent task. The result
+	 * is Integer.MIN_VALUE if there is no value for this measure in a context.
+	 * </p>
+	 *
+	 * @param metric
+	 *            the metric for which the value is to be returned
+	 * @param context
+	 *            the context for which the measure value is to be returned
+	 * 
+	 * @return as described
+	 */
+	public int getMeasureValue(TaskMetric metric, ITask context);
+
+	/**
+	 * <p>
+	 * returns the task to which these infos belong
+	 * </p>
+	 * 
+	 * @return as described
+	 */
+	public ITask getTask();
 
 }
